# IsAScalar

check if a variable is a scalar. This function is obsolete.

## Calling Sequence

    t=IsAScalar(x)

## Arguments

x

  vector or matrix

t

  a boolean

## Description

`IsAScalar(`x`)` returns true if `x` is a scalar (if size(`x`) is 1 and type(`x`,1) is 1 too).

This function is obsolete.

It is better to use isscalar instead of `IsAScalar`.

## Examples

    IsAScalar(ones(10,10))
    IsAScalar(1)
    IsAScalar("s")

## History

5.5.0
Function tagged as obsolete. Will be removed in 5.5.1. Please use isscalar instead.